Get a specific segment - Fabric
Get a specific segment
cURL
curl --request GET \
--url https://live.copilot.fabric.inc/api-offers/segment/{segmentId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://live.copilot.fabric.inc/api-offers/segment/{segmentId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-offers/segment/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200
- 404
- 500
Example JSON Responses
Success Response
{
"_id": "614b58924e92f6861ac9d43b",
"segmentId": 100002,
"name": "Customer Type",
"value": [
"High Spender"
],
"deleted": false,
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z"
}
Error Responses
Segment Not Found
{
"code": "SEGMENT_NOT_FOUND",
"message": "No segment with this Id is found."
}
Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
x-site-context
string
required
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
segmentId
number
required
ID of the segment to be retrieved
Example:100002
Response Structure
- _id
string
fabric internal database ObjectId of the record
Example:"614b58924e92f6861ac9d43b" - segmentId
number
System generated unique ID of the Segment
Example:100002 - name
string
Name of the segment
Example:"Customer Type" - value
string[]
Array of segment values - deleted
boolean
true: segment is deleted
false: segment is not deleted
Example:false - createdAt
string
Creation date of the record
Example:"2020-12-14T12:15:43.646Z" - updatedAt
string
Last updated date of the record
Example:"2021-12-14T12:15:43.646Z"